Retrieves all unavailabilities
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "eee58449-40f6-4597-a31a-682fcb409956",
"date_start": "2026-11-13T11:49:37.8064215+00:00",
"date_end": "2026-11-13T11:49:37.8064215+00:00",
"modified_dateutc": "2026-11-13T11:49:37.8064215+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "54bb0e3b-c076-46ef-b607-f20c792d74c3",
"user_code": "sample string 8",
"user": {
"id": "f109d4d6-facc-42e0-a512-ecc159e6cb02",
"db_language_id": "1409f6eb-41ee-465c-9812-b13ab670d3cf",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-13T11:49:37.8064215+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "7a7a37d0-e901-4bfd-9629-c754c5cf0b2e",
"sales_organization": {
"id": "02e6c0d6-b757-4552-a9bb-0e20db558644",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f90a7e8e-46b5-47b9-864c-613b52590974",
"db_currency_id": "fce24cff-5bc9-44cd-935f-cd9651bc5502",
"db_language_id": "5bc65a55-cea6-4600-a812-392b6ad4af76",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T11:49:37.8064215+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "f1c2c449-7aa9-4672-a7a1-7777e3a7e0e4",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "aaf1812b-a127-400f-8bdf-157b4109da0b",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-13T11:49:37.8064215+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "e2496424-784a-42b5-ad2a-b49aadbcc2b9"
},
"user_unavailability_type_id": "8cb52c74-ff61-45d5-880a-f22fc00d1cf4",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "81b39d07-bac6-47fd-b3b5-8764fb5100f0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "6afd3af6-1730-42e7-b9f4-f93b7559a345",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "02e6c0d6-b757-4552-a9bb-0e20db558644",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f90a7e8e-46b5-47b9-864c-613b52590974",
"db_currency_id": "fce24cff-5bc9-44cd-935f-cd9651bc5502",
"db_language_id": "5bc65a55-cea6-4600-a812-392b6ad4af76",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T11:49:37.8064215+00:00"
},
"modified_dateutc": "2026-11-13T11:49:37.8064215+00:00"
}
}